Get creator earnings
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/evm/rh/creator-earnings \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/evm/rh/creator-earnings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/evm/rh/creator-earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"token": "<string>",
"user": "<string>",
"isClaimer": true,
"userBps": 123,
"partner": "<string>",
"isPartner": true,
"claimableWei": "<string>",
"claimedWei": "<string>",
"pendingEstimateWei": "<string>"
}
}{
"success": false,
"response": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"response": "<string>"
}{
"success": false,
"response": "<string>"
}Robinhood Chain
Get Robinhood Creator Earnings
Get a single user’s earnings view for a Bags V2 token on Robinhood Chain: claimer/partner status, claimable, claimed, and estimated pending amounts. Returns 404 for non-V2 tokens.
GET
/
evm
/
rh
/
creator-earnings
Get creator earnings
Authorizations
API key authentication. Provide your API key as the header value.
Query Parameters
Token address. Accepts any casing; normalized to EIP-55 checksum form.
User wallet address. Accepts any casing; normalized to EIP-55 checksum form.
⌘I
